"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AbortExportContentEntriesUseCase = void 0;
var _convertTaskToExportRecord = require("../../utils/convertTaskToExportRecord");
class AbortExportContentEntriesUseCase {
  constructor(params) {
    this.abortTask = params.abortTask;
  }
  async execute(params) {
    const task = await this.abortTask({
      id: params.id
    });
    return (0, _convertTaskToExportRecord.convertTaskToCmsExportRecord)(task);
  }
}
exports.AbortExportContentEntriesUseCase = AbortExportContentEntriesUseCase;

//# sourceMappingURL=AbortExportContentEntriesUseCase.js.map