import type { IValidateImportFromUrlIntegrityUseCase, IValidateImportFromUrlIntegrityUseCaseExecuteParams, IValidateImportFromUrlIntegrityUseCaseExecuteResult } from "./abstractions/ValidateImportFromUrlIntegrityUseCase";
import type { ITasksContextObject } from "@webiny/tasks";
export interface IValidateImportFromUrlIntegrityUseCaseParams {
    triggerTask: ITasksContextObject["trigger"];
}
export declare class ValidateImportFromUrlIntegrityUseCase implements IValidateImportFromUrlIntegrityUseCase {
    private readonly triggerTask;
    constructor(params: IValidateImportFromUrlIntegrityUseCaseParams);
    execute(params: IValidateImportFromUrlIntegrityUseCaseExecuteParams): Promise<IValidateImportFromUrlIntegrityUseCaseExecuteResult>;
}
