"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.convertTaskToCmsExportRecord = void 0;
var _CmsImportExportRecord = require("../../domain/CmsImportExportRecord");
const convertTaskToCmsExportRecord = task => {
  return (0, _CmsImportExportRecord.createCmsImportExportRecord)({
    id: task.id,
    createdOn: task.createdOn,
    createdBy: task.createdBy,
    finishedOn: task.finishedOn || null,
    modelId: task.input.modelId,
    exportAssets: task.input.exportAssets,
    files: task.output?.files || null,
    status: task.taskStatus
  });
};
exports.convertTaskToCmsExportRecord = convertTaskToCmsExportRecord;

//# sourceMappingURL=convertTaskToExportRecord.js.map