"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFilePath = void 0;
const getFilePath = file => {
  const parts = file.split("/").filter(Boolean);
  if (parts.length === 1) {
    return {
      path: "",
      filename: parts.join("/")
    };
  }
  const filename = parts.pop();
  return {
    path: parts.join("/"),
    filename
  };
};
exports.getFilePath = getFilePath;

//# sourceMappingURL=getFilePath.js.map